%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-grunt
Version:    0.4.1
Release:    2%{?dist}
Summary:    Grunt is a JavaScript library used for automation and running tasks
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/gruntjs/grunt
Source0:    http://registry.npmjs.org/grunt/-/grunt-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  coffee-script
BuildRequires:  npm(async)
BuildRequires:  npm(colors)
BuildRequires:  npm(dateformat)
BuildRequires:  npm(difflet)
BuildRequires:  npm(eventemitter2)
BuildRequires:  npm(findup-sync)
BuildRequires:  npm(glob)
BuildRequires:  npm(grunt)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(grunt-contrib-watch)
BuildRequires:  npm(hooker)
BuildRequires:  npm(iconv-lite)
BuildRequires:  npm(js-yaml)
BuildRequires:  npm(lodash)
BuildRequires:  npm(minimatch)
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(nopt)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(temporary)
BuildRequires:  npm(underscore.string)
BuildRequires:  npm(which)
%endif

%description
Grunt is the JavaScript task runner. Why use a task runner? In one word:
automation. The less work you have to do when performing repetitive tasks
like minification, compilation, unit testing, linting, etc, the easier
your job becomes. After you've configured it, a task runner can do most
of that mundane work for you with basically zero effort.

%prep
%setup -q -n package
%nodejs_fixdep async '~0.2'
%nodejs_fixdep coffee-script '~1.3'
%nodejs_fixdep colors '~0.6'
%nodejs_fixdep dateformat '*'
%nodejs_fixdep eventemitter2 '~0.4'
%nodejs_fixdep findup-sync '~0.1'
%nodejs_fixdep glob '~3.1'
%nodejs_fixdep hooker '~0.2'
%nodejs_fixdep iconv-lite '~0.2'
%nodejs_fixdep minimatch '~0.2'
%nodejs_fixdep nopt '~2.0'
%nodejs_fixdep rimraf '~2.0'
%nodejs_fixdep lodash '~1.0'
%nodejs_fixdep underscore.string '~2.2'
%nodejs_fixdep which '~1.0'
%nodejs_fixdep js-yaml '~2.0'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/grunt

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
grunt test
%endif


%files
%doc AUTHORS CHANGELOG CONTRIBUTING.md LICENSE-MIT README.md
%{nodejs_sitelib}/grunt


%changelog
* Sun Nov 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.1-2
- improve %%summary
- add ExclusiveArch logic

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.1-1
- initial package
